FreeMat

- Main Page
- Related Pages

vtkProp3DCollection

Section: Visualization Toolkit Rendering Classes

# Usage

vtkProp3DCollection represents and provides methods to manipulate a list of 3D props (i.e., vtkProp3D and subclasses). The list is unsorted and duplicate entries are not prevented.

To create an instance of class vtkProp3DCollection, simply invoke its constructor as follows

      obj = vtkProp3DCollection

# Methods

The class vtkProp3DCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkProp3DCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkProp3DCollection = obj.NewInstance ()`
- `vtkProp3DCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkProp3D p)` - Add an actor to the list.
- `vtkProp3D = obj.GetNextProp3D ()` - Get the next actor in the list.
- `vtkProp3D = obj.GetLastProp3D ()` - Get the last actor in the list.